Subject: Re: [cffi-devel] Re: how to build gsl dll
From: "Mirko Vukovic" <[email-masked]>
To: "Luís Oliveira" <[email-masked]>
Cc: "Reini Urban" <[email-masked]>, [email-masked], [email-masked]
Date: Mon, 18 Feb 2008 17:47:19 -0500
List-Id: <cygwin.cygwin.com>

On Mon, Feb 18, 2008 at 5:18 PM, Luís Oliveira <[email-masked]> wrote:
> On 18/02/2008, Reini Urban <[email-masked]> wrote:
>  > Luís, cannot this be a bit simplified for :cygwin?
>  > I've always have to do this.
>  > "libsndfile.so.1" can be automatically translated to "cygsndfile-1.dll".
>  > Unfortunately :cygwin is no define-foreign-library target, just :unix.
>
>  Maybe. Do all cygwin Lisps push :CYGWIN onto their *FEATURES* like CLISP?
>
>  Regarding the naming convention, I suppose we could add a library
>  designator (or change :DEFAULT) that handles that. E.g.: (:lib "foo"
>  2) would translate to "libfoo.so.2", "libfoo.2.dylib", "cygfoo-2.dll",
>  etc.
>
>  --
>  Luís Oliveira
>  http://student.dei.uc.pt/~lmoliv/
>
>
> _______________________________________________
>  cffi-devel mailing list
>  [email-masked]
>  http://common-lisp.net/cgi-bin/mailman/listinfo/cffi-devel
>

As far as I know, clisp is the only lisp running on cygwin.  I tried
compiling sbcl, and that got me nowhere.

Mirko

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/